<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:p="http://primefaces.org/ui"
      xmlns="http://www.w3.org/1999/xhtml">
    <ui:composition>
        <f:facet name="header">
            <p:graphicImage name="images/accepted.png"
                            rendered="#{uiBean.uiSite.siteStepIsValid}"/>
            <h:outputText value="#{titleForSitesAccordionItem}"/>
        </f:facet>
        <f:loadBundle basename="org.inra.ecoinfo.acbb.extraction.jsf.accordions.siteAccordionItem" var="siteAccordionItem"/>
        <h:outputText
            rendered="#{not uiBean.uiSite.siteStepIsValid}"
            value="#{siteAccordionItem.PARAM_MSG_WARNING}"/>
        <p:dataList value="#{uiBean.uiSite.sitesByAgroecosystems.entrySet()}"
                    var="byAgroecosystem" type="definition"
                    rendered="#{uiBean.uiSite.siteStepIsValid}">
            <p:accordionPanel>
                <p:tab title="#{byAgroecosystem.key}">
                    <p:dataList value="#{byAgroecosystem.value}"
                                var="site" type="definition">
                        <p:commandLink actionListener="#{uiBean.uiSite.selectSite(site.site.id)}"
                                       process="@this"
                                       oncomplete="updateTreenodes()">
                            <h:outputText value="#{site.localizedAffichage}"/>
                            <p:graphicImage value="#{resource['images/remove_selection.png']}" styleClass="buttonAction"/>
                        </p:commandLink>
                    </p:dataList>
                </p:tab>
            </p:accordionPanel> 
        </p:dataList>

    </ui:composition>
</html>